Los teléfonos VoIP de Avaya albergaban una vulnerabilidad de 10 años

El error se informó en 2009 en un software de código abierto implementado en el firmware de Avaya, pero pasó desapercibido hasta que los investigadores de seguridad analizaron el producto.

Un atacante que explota esta falla podría esencialmente secuestrar el dispositivo afectado y extraer conversaciones desde el altavoz.

Robar datos de audio

Philippe Laulheret, investigador senior de seguridad de McAfee, encontró la vulnerabilidad crítica ( CVE-2009-0692 ) en el teléfono de escritorio IP de la serie 9600 de Avaya, aunque los teléfonos IP de la serie J100 y los teléfonos de conferencia de la serie B100 (B189) también incluyen el paquete vulnerable.

El investigador señala que solo los modelos con la pila de software H.323 se ven afectados; este comentario es necesario porque los teléfonos Avaya también pueden funcionar con la  pila del Protocolo de inicio de sesión (SIP).

CVE-2009-0692 es un desbordamiento de búfer basado en pila en el cliente DHCP ISC y puede explotarse enviando una respuesta DHCP maliciosa. El resultado es un bloqueo o una ejecución remota de código con privilegios de root.

Un video que demuestra un ataque está disponible a continuación. El investigador dice que utilizó un teléfono conectado a la computadora portátil de prueba, aunque se puede lograr el mismo efecto con una computadora conectada a la misma red que el teléfono vulnerable.

Avaya solucionó el problema en una actualización de firmware  lanzada el 25 de junio, que “reemplaza todas las versiones y paquetes de software anteriores de Avaya IP Deskphone H.323”.

Otra falla antigua acechaba en el firmware

En un aviso  el 18 de julio, la compañía revela que una segunda vulnerabilidad en el mismo paquete DHCP de ISC podría conducir a la ejecución remota de código. Este también fue un problema antiguo, reportado y solucionado en 2011 (error detectado como CVE-2011-0997 ) pero no actualizado en productos Avaya.

En este caso, el daemon del cliente DHCP no pudo desinfectar algunas de las opciones presentes en las respuestas del servidor DHCP, en particular el nombre de host del cliente.

“Un servidor DHCP malintencionado podría enviar una opción con un valor especialmente diseñado a un cliente DHCP. Si el valor de esta opción se guardó en el sistema del cliente y luego fue evaluado de forma insegura por un proceso que supone que la opción es confiable, podría generar a la ejecución de código arbitrario con los privilegios de ese proceso “.

Al implementar código de terceros en sus productos, los fabricantes tienen la responsabilidad de asegurarse de utilizar las últimas versiones de los desarrolladores.

En el caso del software de código abierto, tienen la posibilidad de corregir los problemas por sí mismos si el responsable de mantenimiento no aplica un parche. De lo contrario, corren el riesgo de ofrecer productos que albergan vulnerabilidades antiguas.

La recomendación fuerte de Avaya es usar firewalls, listas de control de acceso (ACL) y seguridad física para proteger los activos en la red.

Philippe Laulheret describió el camino para encontrar los errores en los productos de Avaya en la conferencia de hackers DEF CON en Las Vegas. La presentación cubre aspectos técnicos necesarios para hackear dispositivos integrados, así como punteros para las herramientas y técnicas utilizadas para acceder a la información de depuración que conduce al compromiso.

Fuente: bleepingcomputer.com

Please follow and like us: